/*
 * Copyright (c) 2009 NVIDIA Corporation.  All rights reserved.
 *
 * NVIDIA Corporation and its licensors retain all intellectual property
 * and proprietary rights in and to this software, related documentation
 * and any modifications thereto.  Any use, reproduction, disclosure or
 * distribution of this software and related documentation without an express
 * license agreement from NVIDIA Corporation is strictly prohibited.
 */

#ifndef __kd_NV_applications_h_
#define __kd_NV_applications_h_

#include <KD/kd.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Obtain current application */
KDApplicationNV kdApplicationSelfNV(void);

/* Launch and kill other applications */
KDint kdApplicationLaunchNV(const KDchar* name, const KDchar* path, KDint argc, const KDchar* const* argv, KDint envc, const KDchar* const* envv, KDApplicationNV* app);
KDint kdApplicationKillNV(KDApplicationNV app);


#ifdef __cplusplus
}
#endif

#endif /* __kd_NV_applications_h_ */
