/*
 * Copyright (c) 2010 NVIDIA Corporation.  All rights reserved.
 *
 * NVIDIA Corporation and its licensors retain all intellectual property
 * and proprietary rights in and to this software, related documentation
 * and any modifications thereto.  Any use, reproduction, disclosure or
 * distribution of this software and related documentation without an express
 * license agreement from NVIDIA Corporation is strictly prohibited.
 */

#ifndef __kd_NV_manageable_stream_properties_h_
#define __kd_NV_manageable_stream_properties_h_

#include <KD/kd.h>

#ifdef __cplusplus
extern "C" {
#endif

    KD_API KDint KD_APIENTRY kdSetClientStreamPropertybvNV(KDClientStreamNV* stream, KDint pname,
            const KDboolean *param);
    KD_API KDint KD_APIENTRY kdSetClientStreamPropertyivNV(KDClientStreamNV* stream, KDint pname,
            const KDint32 *param);
    KD_API KDint KD_APIENTRY kdSetClientStreamPropertycvNV(KDClientStreamNV* stream, KDint pname,
            const KDchar *param);
    KD_API KDint KD_APIENTRY kdSetClientStreamPropertyfvNV(KDClientStreamNV* stream, KDint pname,
            const KDfloat32 *param);

#ifdef __cplusplus
}
#endif

#endif /* __kd_NV_stream_properties_h_ */
