#ifndef GROUND_INCLUDED
#define GROUND_INCLUDED

#include <GLES2/gl2.h>

#include "vector.h"


// initialization and clean-up.
void Ground_initialize(GLuint t);
void Ground_deinitialize(void);

// access functions.
void Ground_draw(int use_VBO);

int Ground_polyCount(void);

int Ground_sizeVBO(void);
void Ground_buildVBO(void);

#endif // GROUND_INCLUDED
