/*
 * Copyright (c) 2009 NVIDIA Corporation.  All rights reserved.
 *
 * NVIDIA Corporation and its licensors retain all intellectual property
 * and proprietary rights in and to this software, related documentation
 * and any modifications thereto.  Any use, reproduction, disclosure or
 * distribution of this software and related documentation without an express
 * license agreement from NVIDIA Corporation is strictly prohibited.
 */

#ifndef __kd_NV_initialize_h_
#define __kd_NV_initialize_h_
#include <KD/kd.h>

#ifdef __cplusplus
extern "C" {
#endif

// 99 is a temporary placeholder until an official
//  value is obtained from Khronos
#define KD_ENOTINITIALIZED 99

/* kdInitNV: Initialize OpenKODE without needing a kdMain() function. */
KD_API KDint KD_APIENTRY kdInitializeNV(void);

/* kdShutdownNV: Terminate OpenKODE without needing a kdMain() function. */
KD_API void KD_APIENTRY kdTerminateNV(void);

#ifdef __cplusplus
}
#endif

#endif /* __kd_NV_initialize_h_ */

