/* Vertex shader for wireframe/points */

// Input vertex position
attribute vec3 vertex;

// Transformation matrices
uniform mat4 modelview;
uniform mat4 projection;

void main() {
    gl_PointSize = 1.0;
    gl_Position = projection * (modelview * vec4(vertex,1.0));
}
