#ifndef PICTURE_INCLUDED
#define PICTURE_INCLUDED

#include <GLES2/gl2.h>

typedef struct {

  float left;
  float right;
  float bottom;
  float top;
  GLuint texture;

} Picture;


Picture *Picture_new(GLuint t);
void Picture_delete(Picture *o);

void Picture_setPos(Picture *o, float left, float right, float bottom, float top);
void Picture_draw(Picture *o);


#endif // PICTURE_INCLUDED
