#!/usr/bin/perl -w
# Takes binary file and creates C-compatible character array out of it.

# DVS doesn't like this... and I guess we don't *really* need it
#use strict;

my $chars_per_line = 16;
my $count = 0;
my $firstchar = 1;
my $str;

die "syntax: hexify.pl <input binary> <output file>" if $#ARGV < 1;

open(IF, "<".$ARGV[0]) || die "couldn't open $ARGV[0] for reading";
binmode(IF);
open(OF, ">".$ARGV[1]) || die "couldn't open $ARGV[1] for writing";
while(!eof(IF)) {
    $str = '';
    if (!$firstchar) {
        $str .= ",";
        if ($count >= $chars_per_line) {
            $str .= "\n";
            $count = 0;
        }
    }
    $str .= sprintf("0x%02x", ord(getc(IF)));
    $firstchar = 0;
    $count++;
    print OF $str;
}
print OF "\n";
close(OF);
close(IF);

